DEFINE VARIABLE v-doc-id AS CHARACTER NO-UNDO.
DEFINE VARIABLE template-file AS CHARACTER NO-UNDO.
DEFINE VARIABLE output-file AS CHARACTER NO-UNDO.

{ pdf_inc.i}

ASSIGN output-file = "SPDFTest.pdf".
RUN pdf_new ("Spdf",output-file).
RUN pdf_set_parameter("Spdf","Compress","TRUE").

/*open PDF template*/
ASSIGN template-file = "axx022.pdf".
RUN pdf_open_PDF("Spdf",template-file,"document"). 

/*-------------------------------*/
/*create new page using template*/
/*-------------------------------*/
RUN pdf_new_page("Spdf").
RUN pdf_use_PDF_page("Spdf","document",1).

/* fill in member form fields*/
RUN pdf_fill_text("Spdf","AP1_FULL_NAME","Johnny Haff","").
    
RUN pdf_fill_text("Spdf","AP1_ACCT_NMBR", string(123456),""). 


RUN pdf_close("Spdf").


IF RETURN-VALUE > '' THEN
    MESSAGE RETURN-VALUE
        VIEW-AS ALERT-BOX ERROR BUTTONS OK.
